<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Grid System</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center">
    <h1>Bootstrap Grid System</h1>
    
    <!-- Two Column Grid -->
    <h2>Two Columns</h2>
    <div class="container-fluid">
        <h3>1:1 Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-6 bg-primary">6 Col</div>
            <div class="pt-3 pb-3 border border-dark col-6 bg-secondary">6 Col</div>
        </div>

        <h3>1:2 Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">4 Col</div>
            <div class="pt-3 pb-3 border border-dark col-8 bg-secondary">8 Col</div>
        </div>
        <h3>1:3 Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-3 bg-primary">3 Col</div>
            <div class="pt-3 pb-3 border border-dark col-9 bg-secondary">9 Col</div>
        </div>
    </div>
    <!-- End of Two Column Grid -->

    <!-- Three Column Grid -->
    <h2>Three Columns</h2>
    <div class="container-fluid">
        <h3>1:1:1 Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">4 Col</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-secondary">4 Col</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">4 Col</div>
        </div>

        <h3>Uneven Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-2 bg-primary">2 Col</div>
            <div class="pt-3 pb-3 border border-dark col-7 bg-secondary">7 Col</div>
            <div class="pt-3 pb-3 border border-dark col-3 bg-primary">3 Col</div>
        </div>

        <h3>1:2:1 Ratio</h3>
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-3 bg-primary">3 Col</div>
            <div class="pt-3 pb-3 border border-dark col-6 bg-secondary">6 Col</div>
            <div class="pt-3 pb-3 border border-dark col-3 bg-primary">3 Col</div>
        </div>
    </div>
    <!-- End of Three Column Grid -->

    <!-- Automatic Sizing -->
    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col bg-primary">Auto</div>
            <div class="pt-3 pb-3 border border-dark col bg-secondary">Auto</div>
            <div class="pt-3 pb-3 border border-dark col bg-primary">Auto</div>
            <div class="pt-3 pb-3 border border-dark col bg-secondary">Auto</div>
            <div class="pt-3 pb-3 border border-dark col bg-primary">Auto</div>
        </div>
    </div>
    <!-- End of Automatic Sizing -->

    <!-- Mobile Responsive Columns -->
    <h2>Mobile Responsive Columns</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-lg-2 col-md-4 col-sm-6 bg-primary">Responsive</div>
            <div class="pt-3 pb-3 border border-dark col-lg-10 col-md-4 col-sm-6 bg-secondary">Responsive</div>
        </div>
    </div>
    <!-- End of Mobile Responsive Columns -->

    <!-- Multi Column Layouts -->
    <h2>Multi Column Layouts</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">Catalog 1</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-secondary">Catalog 2</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">Catalog 3</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-secondary">Catalog 4</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-primary">Catalog 5</div>
            <div class="pt-3 pb-3 border border-dark col-4 bg-secondary">Catalog 6</div>
        </div>
    </div>
    <!-- End of Multi Column Layouts -->

    <!-- CRC Inside Column -->
    <h2>CRC Inside Column</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="border border-dark col-4 bg-primary">
                <div class="row">
                    <div class="col bg-warning">Row 1 Col 1</div>
                    <div class="col bg-dark">Row 1 Col 2</div>
                    <div class="col bg-warning">Row 1 Col 3</div>
                </div>
                <div class="row">
                    <div class="col bg-danger">Row 2</div>
                    <div class="col bg-success">Row 2</div>
                </div>
            </div>
            <div class="border border-dark col-4 bg-secondary">Catalog 2</div>
            <div class="border border-dark col-4 bg-primary">Catalog 3</div>
        </div>
    </div>
    <!-- End of CRC Inside Column -->

    <!-- Offsetting Columns -->
    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col-6 offset-2 bg-primary">Offset Column</div>
            <div class="pt-3 pb-3 border border-dark col-6 offset-md-3 bg-primary">Offset Column</div>
            <div class="pt-3 pb-3 border border-dark col-6 offset-lg-4 bg-primary">Offset Column</div>
        </div>
    </div>
    <!-- End of Offsetting Columns -->

    <!-- Column Orders -->
    <h2>Column Orders</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="pt-3 pb-3 border border-dark col order-2 bg-primary">Left</div>
            <div class="pt-3 pb-3 border border-dark col order-1 order-md-2 bg-secondary">Right</div>
        </div>
    </div>
    <!-- End of Column Orders -->

    <!-- jQuery and Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>